Bug 1139189 - If a server is in 'MAINTENANCE' mode, should be indicated to user on login
Summary: If a server is in 'MAINTENANCE' mode, should be indicated to user on login
Status: CLOSED EOL
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: UI
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: JON 3.4.0
Assignee: Thomas Heute
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-08 10:43 UTC by Jeeva Kandasamy
Modified: 2019-06-10 15:06 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-10 15:06:55 UTC


Attachments (Terms of Use)

Description Jeeva Kandasamy 2014-09-08 10:43:12 UTC
Description of problem:
Right now there is no indication about server is in maintenance mode, if the user logged in to the same server via GUI. User does not know if the server is in maintenance mode until user navigate to 'Administration->Topology->Servers'

Version-Release number of selected component (if applicable):
JBoss Operations Network 
Version : 3.3.0.ER02
Build Number : 4fbb183:7da54e2
GWT Version : 2.5.0
SmartGWT Version : 3.0p

How reproducible:
always

Steps to Reproduce:
1. Make server in to MAINTENANCE mode
2. Login in to a server which is in maintenance mode.

Comment 2 Libor Zoubek 2014-11-03 15:08:16 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/ccf51748e
time:    2014-11-03 16:04:27 +0100
commit:  ccf51748e6fee1c67031341c33db7be9dc5de653
author:  Libor Zoubek - lzoubek@redhat.com
message: Bug 1139189 - If a server is in 'MAINTENANCE' mode, should be indicated
         to user on login
         Now we display sticky warning in case mainenance mode is
         detected after login. This does not add a check for server mode
         to every request, just the first request after login - this is
         when we build CoreGui

Comment 4 Mike McCune 2016-03-28 23:39:55 UTC
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions

Comment 5 Filip Brychta 2019-06-10 15:06:55 UTC
JBoss ON is coming to the end of its product life cycle. For more information regarding this transition, see https://access.redhat.com/articles/3827121.
This bug report/request is being closed. If you feel this issue should not be closed or requires further review, please create a new bug report against the latest supported JBoss ON 3.3 version.


Note You need to log in before you can comment on or make changes to this bug.